Agora RTC Objective-C API Reference Refactor

Properties
AgoraRtcMediaStreamInfo Class Reference

Inherits <NSObject>.

## Properties
NSInteger | streamIndex
AgoraMediaStreamType | streamType
NSString *_Nonnull | codecName
NSString *_Nullable | language
NSInteger | videoFrameRate
NSInteger | videoBitRate
NSInteger | videoWidth
NSInteger | videoHeight
NSInteger | audioSampleRate
NSInteger | audioChannels
NSInteger | duration
NSInteger | rotation

## Property Documentation

## ◆ streamIndex

- (NSInteger) streamIndex
| read write nonatomic assign

The index of the media stream.

## ◆ streamType

- (AgoraMediaStreamType) streamType
| read write nonatomic assign

The type of the media stream. See `AgoraMediaStreamType`.

## ◆ codecName

- (NSString* _Nonnull) codecName
| read write nonatomic copy

The codec of the media stream.

## ◆ language

- (NSString* _Nullable) language
| read write nonatomic copy

The language of the media stream.

## ◆ videoFrameRate

- (NSInteger) videoFrameRate
| read write nonatomic assign

This parameter only takes effect for video streams, and indicates the video frame rate (fps).

## ◆ videoBitRate

- (NSInteger) videoBitRate
| read write nonatomic assign

This parameter only takes effect for video streams, and indicates the video bitrate (bps).

## ◆ videoWidth

- (NSInteger) videoWidth
| read write nonatomic assign

This parameter only takes effect for video streams, and indicates the video width (pixel).

## ◆ videoHeight

- (NSInteger) videoHeight
| read write nonatomic assign

This parameter only takes effect for video streams, and indicates the video height (pixel).

## ◆ audioSampleRate

- (NSInteger) audioSampleRate
| read write nonatomic assign

This parameter only takes effect for audio streams, and indicates the audio sample rate (Hz).

## ◆ audioChannels

- (NSInteger) audioChannels
| read write nonatomic assign

This parameter only takes effect for audio streams, and indicates the audio channel number.

## ◆ duration

- (NSInteger) duration
| read write nonatomic assign

The total duration (ms) of the media stream.

## ◆ rotation

- (NSInteger) rotation
| read write nonatomic assign

This parameter only takes effect for video streams, and indicates the video rotation angle.